export { generate, presetPrimaryColors } from '@ant-design/colors';
export { TinyColor } from '@ctrl/tinycolor';

declare function makeRgbaValue(key: string, slash?: boolean): string;
declare const gray: {
    [key: number]: string;
};
interface ColorGenerateOptions {
    theme?: 'dark' | 'default';
    backgroundColor?: string;
}
declare function generateColors(key: string, color: string, dark?: boolean): Record<string, string>;
declare function generateColors(key: string, color: string, opts: true | ColorGenerateOptions): Record<string, string>;
declare const composeVarsObject: (colorsMap: Record<string, string>, shareVars: Record<string, string>, slash?: boolean) => Record<string, string>;

export { type ColorGenerateOptions, composeVarsObject, generateColors, gray, makeRgbaValue };
